electron-blink1-toy
Play with Electron and node-blink1
Last updated 4 months ago by todbot .
ISC · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install electron-blink1-toy 
SYNC missed versions from official npm registry.

electron-blink1-toy

A simple Electron app to experiment with node-blink1 & node-hid.

Tested on Electron v1.2.6+.

Assumes you have blink(1) device plugged in before running app.

To use:

npm install
npm start

screenshot

Note:

Because node-hid will need to be recompiled for Electron, you will need compilers for your OS installed.

For more details on what you need, see:

But basically:

  • Mac OS X: Install XCode and enable Command Line Tools
  • Windows: npm install -g --production windows-build-tools ; npm install -g node-gyp (via admin shell)
  • Linux: Python, make, gcc (sudo apt-get install build-essential on Ubuntu)

Uses the magic of require('babel-register') in both the app and renderer to do on-the-fly transpiling

Note: the node-hid library needs to be recompiled for Electron. The electron-rebuild tool does this, and should be done automatically for you via the "postinstall" script of this project.

This project leans heavily on https://github.com/b52/electron-es6-react

Current Tags

  • 0.1.7                                ...           latest (4 months ago)

7 Versions

  • 0.1.7                                ...           4 months ago
  • 0.1.6                                ...           2 years ago
  • 0.1.5                                ...           2 years ago
  • 0.1.3                                ...           3 years ago
  • 0.1.2                                ...           3 years ago
  • 0.1.1                                ...           3 years ago
  • 0.1.0                                ...           3 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 1
Last Day 0
Last Week 0
Last Month 0
Dependencies (10)
Dev Dependencies (3)
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |